"use strict";
/**
 * SPDX-FileCopyrightText: © 2017 Liferay, Inc. <https://liferay.com>
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const babel_plugin_add_module_metadata_1 = __importDefault(require("babel-plugin-add-module-metadata"));
const babel_plugin_alias_modules_1 = __importDefault(require("babel-plugin-alias-modules"));
const babel_plugin_minify_dead_code_elimination_1 = __importDefault(require("babel-plugin-minify-dead-code-elimination"));
const babel_plugin_name_amd_modules_1 = __importDefault(require("babel-plugin-name-amd-modules"));
const babel_plugin_namespace_amd_define_1 = __importDefault(require("babel-plugin-namespace-amd-define"));
const babel_plugin_namespace_modules_1 = __importDefault(require("babel-plugin-namespace-modules"));
const babel_plugin_normalize_requires_1 = __importDefault(require("babel-plugin-normalize-requires"));
const babel_plugin_transform_node_env_inline_1 = __importDefault(require("babel-plugin-transform-node-env-inline"));
const babel_plugin_transform_object_rest_spread_1 = __importDefault(require("babel-plugin-transform-object-rest-spread"));
const babel_plugin_wrap_modules_amd_1 = __importDefault(require("babel-plugin-wrap-modules-amd"));
/**
 * @return {Object} a Babel configuration object
 */
function default_1() {
    return {
        plugins: [
            babel_plugin_alias_modules_1.default,
            babel_plugin_add_module_metadata_1.default,
            babel_plugin_normalize_requires_1.default,
            babel_plugin_transform_node_env_inline_1.default,
            [
                babel_plugin_minify_dead_code_elimination_1.default,
                {
                    keepClassName: true,
                    keepFnArgs: true,
                    keepFnName: true,
                },
            ],
            babel_plugin_transform_object_rest_spread_1.default,
            babel_plugin_wrap_modules_amd_1.default,
            babel_plugin_name_amd_modules_1.default,
            babel_plugin_namespace_modules_1.default,
            babel_plugin_namespace_amd_define_1.default,
        ],
    };
}
exports.default = default_1;
